Subject: Re: [Tls-reg-review] TLS ExtensionType codepoint allocation for QUIC

From: "Salz, Rich" <[email-masked]>
Date: Tue, 8 Dec 2020 14:18:16 +0000

Adding the right aliases.

Sure, if the chairs send email to tls-reg-review (that way IANA sees it too), and point to the "IANA Considerations" part of the draft, that will make it real obvious what type of number to assign.

On 12/8/20, 5:18 AM, "Magnus Westerlund" <[email-masked]> wrote:

    Hi,

    So having brushed up on RFC 7120 on early allocation. 

    The purpose of the early allocation would be to assign a code point in the next
    few weeks rather than to wait for that code point until after the IESG approval
    in time for the RFC publication. Preferably an early request would be in time
    for next draft version, i.e. by next week hopefully. To my understanding there
    is motivation to not wait as some QUIC implementations are getting into places
    with release schedule is a bit more ridiger. So I do approve an early allocation
    request. 

    To my understanding the early allocation request is to be sent by the WG chairs
    to IANA. Then the experts gets to approve it and it happens. So if the chairs
    can submit this early request ASAP we can get started on this. 

    I would appreciate if the registry experts can conclude on their review so they
    can approve the early allocation quickly. 

    Cheers

    Magnus Westerlund

    On Tue, 2020-12-08 at 20:41 +1100, Martin Thomson wrote:
    > Sorry, I forgot to include Magnus, who might need to be involved in early
    > allocation.
    > 
    > On Tue, Dec 8, 2020, at 20:28, Martin Thomson wrote:
    > > TLS Chairs, TLS ExtensionType Registry Experts,
    > > 
    > > What is the status of the codepoint allocation for the TLS extension 
    > > defined in QUIC?  
    > > 
    > > A final allocation will mean that the examples and test code can be put 
    > > together, then thoroughly checked before we ask for publication.
    > > 
    > > If this needs early assignment, can we request that?
    > > 
    > > I am in the process of doing final updates to the draft with final 
    > > version numbers and constants (as I have been asked to do) and I 
    > > realized that we have been using 0xffa5 now for some time, which 
    > > unfortunately isn't something we can ship with.
    > > 
    > > I also need to break the bad news to people deploying draft versions 
    > > that the TLS extension codepoint will change.  This is another reason 
    > > to prefer the QUIC codepoint allocation rules.
    > > 
    > > Cheers,
    > > Martin

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 8 Dec 2020 15:25:47 +0000

Hi,

So the WG chairs have sent a request to IANA per procedure in RFC 7510. I assume
they will send you the formal review request for early assignment. However, this
request is for what is documented in Section 10 of draft-ietf-quic-tls-32:

10.  IANA Considerations

   This document registers the quic_transport_parameters extension found
   in Section 8.2 in the TLS ExtensionType Values Registry
   [TLS-REGISTRIES].

   The Recommended column is to be marked Yes. The TLS 1.3 Column is to
   include CH and EE.

https://datatracker.ietf.org/doc/draft-ietf-quic-tls/

You might have review this already part of the IETF last call review. 

Cheers

Magnus

On Tue, 2020-12-08 at 14:18 +0000, Salz, Rich wrote:
> Sure, if the chairs send email to tls-reg-review (that way IANA sees it too),
> and point to the "IANA Considerations" part of the draft, that will make it
> real obvious what type of number to assign.
>

---

From: Benjamin Kaduk <[email-masked]>
Date: Tue, 8 Dec 2020 07:27:33 -0800

> You might have review this already part of the IETF last call review. 

Yes, this one looks to be
https://mailarchive.ietf.org/arch/msg/tls-reg-review/ASZZaX9GQqzYpKjzcDrruvKgNow/
that Rich already approved and just needs a second approver.

-Ben

---

From: Sean Turner <[email-masked]>
Date: Wed, 9 Dec 2020 09:56:02 -0500

Thanks Nick.  I think this is done and dusted.

spt

Sent from my iPhone

> On Dec 8, 2020, at 10:27, Benjamin Kaduk <[email-masked]> wrote:
>